14 to 15 Upgrade weird messaging


(Jared Busch) #1

It started with weirdness when sysadmin was installed.

Stage 3
Download and Install Sysadmin
Detected Missing Dependency of: backup 15.0.8.88
Downloading Missing Dependency of: backup 15.0.8.88
Module backup successfully downloaded
Installing Missing Dependency of: backup 15.0.8.88
The following error(s) occured:
- The Module Named "filestore" is required.
Whoops\Exception\ErrorException: Class 'ComposerAutoloaderInitc5668f088e1d3d1331eec9932c333408' not found in file /var/www/html/admin/modules/backup/vendor/autoload.php on line 7
Stack trace:
1. Whoops\Exception\ErrorException->() /var/www/html/admin/modules/backup/vendor/autoload.php:7

But things seemed to move on. And filestore was later installed as a dependency of backup.
/me looks at prior message again…
/me shakes head.

Download and Install backup
Detected Missing Dependency of: filestore
Downloading Missing Dependency of: filestore
Module filestore successfully downloaded
Installing Missing Dependency of: filestore
Generating CSS...
Done
Installed Missing Dependency of: filestore
Migrating legacy backupjobs
Moving servers to filestore
Unable to map 'Config server' of type 'mysql
Unable to map 'CDR server' of type 'mysql
Migrating legacy backups to the new backup
Cleaning up old data
Removing table backup.
Removing table backup_cache.
Removing table backup_details.
Removing table backup_items.
Removing table backup_server_details.
Removing table backup_servers.
Removing table backup_template_details.
Removing table backup_templates.
Generating CSS...Done

So the upgrade was moving along… Then it tried to install endpoint.

Download and Install endpoint
Detected Missing Dependency of: sysadmin 14.0.11
Found local Dependency of: sysadmin 15.0.16.13
Installing Missing Dependency of: sysadmin 14.0.11
Updating tables sysadmin_options, sysadmin_update_log, sysadmin_fail2ban...
Done
Sangoma PnP Server activated
Generating CSS...
Done
Installed Missing Dependency of: sysadmin 14.0.11
Detected Missing Dependency of: paging 15.0.4.18
Downloading Missing Dependency of: paging 15.0.4.18
Module paging successfully downloaded
Installing Missing Dependency of: paging 15.0.4.18
Updating tables paging_groups, paging_autoanswer, paging_config, paging_core_routing...
Done
Generating CSS...Done
Installed Missing Dependency of: paging 15.0.4.18
Create symlink...Done
Checking database tables...
Done
Migrating tables as required...
Done
Checking Settings and Defaults...
Done
Generating Configs...Done
Downloading Firmware...
Done (Background)
Generating CSS...
Done

Eventually it completed and I reloaded.

No Modules left to upgrade.
The PBX has successfully upgraded
[root@pbx ~]# sudo fwconsole reload
Reload Started
Reload Complete

Then check the online version of sysadmin and endpoint. They seem up to date.

[root@pbx ~]# fwconsole ma listonline | grep "sysadmin\|endpoint"
| endpoint             | 15.0.27.43 | Enabled and up to date                       | Commercial  |
| sysadmin             | 15.0.16.13 | Enabled and up to date                       | Commercial  |

And yes, EPM is licensed for updates.

So it seems to be some weird messaging only.


(system) closed #2

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.